/*
**    TP 4ETI CPE Lyon
**    Copyright (C) 2012 Damien Rohmer
**
**    This program is free software: you can redistribute it and/or modify
**    it under the terms of the GNU General Public License as published by
**    the Free Software Foundation, either version 3 of the License, or
**    (at your option) any later version.
**
**   This program is distributed in the hope that it will be useful,
**    but WITHOUT ANY WARRANTY; without even the implied warranty of
**    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**    GNU General Public License for more details.
**
**    You should have received a copy of the GNU General Public License
**    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef FONCTION_TRANSFERT_HPP
#define FONCTION_TRANSFERT_HPP

namespace cpe
{

class fonction_transfert
{
    public:

        fonction_transfert();
        fonction_transfert(const float& dL);

        float attenuation_r(const float& value);
        float attenuation_g(const float& value);
        float attenuation_b(const float& value);

        float emission_r(const float& value);
        float emission_g(const float& value);
        float emission_b(const float& value);

    private:

        double dL;
};

}

#endif
