/*
**    TP 4ETI CPE Lyon
**    Copyright (C) 2012 Damien Rohmer
**
**    This program is free software: you can redistribute it and/or modify
**    it under the terms of the GNU General Public License as published by
**    the Free Software Foundation, either version 3 of the License, or
**    (at your option) any later version.
**
**   This program is distributed in the hope that it will be useful,
**    but WITHOUT ANY WARRANTY; without even the implied warranty of
**    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**    GNU General Public License for more details.
**
**    You should have received a copy of the GNU General Public License
**    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


#include <fonction_transfert.hpp>
#include <cmath>
#include <algorithm>

namespace cpe
{

fonction_transfert::fonction_transfert():dL(1.0){}
fonction_transfert::fonction_transfert(const float& dL_):dL(dL_){}

float fonction_transfert::attenuation_r(const float& value)
{
    float attenuation=2.0*dL;
    return attenuation;
}

float fonction_transfert::attenuation_g(const float& value)
{
    float attenuation=2.0*dL;
    return attenuation;
}

float fonction_transfert::attenuation_b(const float& value)
{
    float attenuation=2.0*dL;
    return attenuation;
}

float fonction_transfert::emission_r(const float& value)
{

    float emission=1.0*value;
    return emission;
}

float fonction_transfert::emission_g(const float& value)
{
    float emission=1.0*value;
    return emission;
}

float fonction_transfert::emission_b(const float& value)
{
    float emission=1.0*value;
    return emission;
}

}
